#!/usr/bin/env bash

rm -Rf *.tar.gz
chown -R akkadianuser:akkadianuser *

hash=$(git rev-parse --short HEAD)
v=$(echo 'aam_version=3.0.0-'$hash)
vv=$(echo '3.0.0-'$hash)
version=$(echo "$v")

#MACOS
#sed -i '' "s/^aam_version=.*/$version/g" mapper.ini
#LINUX
sed -i "s/aam_version=.*/$version/g" mapper.ini

touch tui-$vv.tar.gz
touch tui-$vv-enc.tar.gz

tar --exclude='.git' --exclude='.idea' --exclude='.DS_Store' -zcf - * | openssl enc -e -aes-256-cbc -out tui-$vv-enc.tar.gz -pass pass:'HtBr6QckqJPk4rpatyUNT594'
tar --exclude='.git' --exclude='.idea' --exclude='.DS_Store' --exclude=tui-$vv.tar.gz -zcvf tui-$vv.tar.gz .

#uncompress
#openssl enc -d -aes-256-cbc -in tui-enc-55.tar.gz -pass pass:'HtBr6QckqJPk4rpatyUNT594' | tar xz -C test