#!/usr/bin/env bash
#TODO: what about non internet connection.
    sudo yum -y install jq

    if [[  ! -d /var/www ]]; then
        sudo mkdir /var/www
        sudo chown -R apache:root /var/www
        sudo chmod -R 755 /var/www
    fi

    if [[  ! -d /var/www/product_update ]]; then
        sudo mkdir /var/www/product_update
        sudo chown -R apache:root /var/www/product_update
        sudo chmod -R 755 /var/www/product_update

    fi

    sudo cp -Rf /home/akkadianuser/scripts/universal_updater/read_and_eval.sh /var/www/product_update/
    sudo cp -Rf /home/akkadianuser/scripts/universal_updater/update_main.sh /var/www/product_update/
    sudo cp -Rf /home/akkadianuser/scripts/universal_updater/get_product_name.sh /var/www/product_update/

    if [[ ! -d /var/www/html/ha ]]; then
        sudo mkdir /var/www/html/ha
        sudo chown -R apache:root /var/www/html/ha
        sudo chmod -R 755 /var/www/html/ha
    fi


    if [[ ! -d /var/www/cli_updates ]]; then
        sudo mkdir /var/www/cli_updates
        sudo chown -R apache:root /var/www/cli_updates
        sudo chmod -R 755 /var/www/cli_updates
    fi

    ################ 2019 08 09 Changes in apache cron to support jobs to be run only once if it is part of cluster ########
    #verifying apache jobs, and migrating them to akkadianuser
    root_cron_content=$(sudo crontab -u root -l)
    if [[ "$root_cron_content" != *"write_master.sh"* ]]; then

        root_new_cron_content="*/1 * * * * sh /home/akkadianuser/scripts/ha/write_master.sh"
        (sudo crontab -u root -l; echo "$root_new_cron_content" ) | sudo crontab -u root -
    fi
    ########################################################################################################################

    akkadian_cron_content=$(sudo crontab -u akkadianuser -l)
    if [[ "$akkadian_cron_content" != *"read_and_eval.sh"* ]]; then

        apache_cron_content="*/1 * * * * sh /var/www/product_update/read_and_eval.sh > /var/www/product_update/crontab.log 2>&1"
        (sudo crontab -u root -l; echo "$apache_cron_content" ) | sudo crontab -u root -
    fi

    isNodeInstalled=$(node -v)

    #### Checking on old versions to add or not the apache cron
    #### DO  NOT MODIFY TABS IN apache_cron_content!!!!!!!!!!!!!!
    if [[ ! -d /opt/akkadian/aco-server ]]; then
        sudo crontab -u apache -r
        echo "Checking what to add.."
        if [[ -d /var/www/html/asb ]]; then
            if [[ -d /var/www/html/pme ]]; then
                # this is pme
                apache_cron_content=$"5 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=Sync\"
    */10 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=Schedule\"
    */10 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=BackupSchedule\" "

            else
                # this is abs
                apache_cron_content=$"* * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/asb/artisan schedule:run\""
            fi
        elif [[ -d /var/www/html/acm ]]; then
            # this is acm
            apache_cron_content=$"* * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"/usr/bin/php /var/www/html/acm/scheduler.php > /dev/null 2>&1\" "

        elif [[ -d /var/www/html/orc ]]; then
            # this is orc
            apache_cron_content=$"* * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/asb/artisan schedule:run\"
    * * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/orc/artisan schedule:run\"
    5 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=Sync\"
    */10 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=Schedule\"
    */10 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=BackupSchedule\""

        elif [[ -d /var/www/html/pme ]]; then
                apache_cron_content=$"5 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=Sync\"
    */10 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=Schedule\"
    */10 * * * * sh /home/akkadianuser/scripts/apm_cm_runner.sh \"php /var/www/html/pme/index.php --task=BackupSchedule\" "
        fi
        (sudo crontab -u apache -l; echo "$apache_cron_content" ) | sudo crontab -u apache -
    elif [[ "$isNodeInstalled" == "" ]]; then
        #If it is aco, then install nodejs
        sudo yum -y install -y gcc-c++ make
        sudo curl -sL https://rpm.nodesource.com/setup_6.x | sudo -E bash -
        sudo yum -y install nodejs
    fi

    sudo chown -Rf apache /etc/openldap/certs/
    sudo chown -Rf apache /etc/pki/ca-trust/extracted/pem/
    sudo chown -Rf apache /etc/pki/tls/certs/
    sudo chown -Rf apache /etc/pki/ca-trust/source/anchors/

    sudo rm -Rf /var/www/cli_updates/*
